## org.eclipse.emf.ecore
Interface EClassifier

All Superinterfaces:
  EModelElement, ENamedElement, EObject, Notifier

All Known Subinterfaces:
  EClass, EDataType, EEnum

All Known Implementing Classes:
  EClassifierImpl, EClassImpl, EDataTypeImpl, EEnumImpl

    public interface EClassifier

extends ENamedElement

A representation of the model object 'EClassifier'.

The following features are supported:

- `Instance Class Name`
- `Instance Class`
- `Default Value`
- `Instance Type Name`
- `EPackage`
- `EType Parameters`

See Also:
  `EcorePackage.getEClassifier()`

Method Summary
`int` `getClassifierID()` Returns the ID relative to the `containing` package.
`java.lang.Object` `getDefaultValue()` Returns the value of the 'Default Value' attribute
`EPackage` `getEPackage()` Returns the value of the 'EPackage' container reference.
`EList<ETypeParameter>` `getETypeParameters()` Returns the value of the 'EType Parameters' containment reference list.
`java.lang.Class<?>` `getInstanceClass()` Returns the value of the 'Instance Class' attribute
`java.lang.String` `getInstanceClassName()` Returns the value of the 'Instance Class Name' attribute
`java.lang.String` `getInstanceTypeName()` Returns the value of the 'Instance Type Name' attribute
`boolean` `isInstance(java.lang.Object object)` Returns whether the object is an instance of this classifier.
`void` `setInstanceClass(java.lang.Class<?> value)` Sets the value of the '`Instance Class`' attribute.
`void` `setInstanceClassName(java.lang.String value)` Sets the value of the '`Instance Class Name`' attribute
`void` `setInstanceTypeName(java.lang.String value)` Sets the value of the '`Instance Type Name`' attribute

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getInstanceClassName

    java.lang.String getInstanceClassName()

  Returns the value of the 'Instance Class Name' attribute.

  It represents the name of the Java instance class that this meta object represents.

  Returns:
    the value of the 'Instance Class Name' attribute.
  See Also:
    `getInstanceClass()`, `setInstanceClassName(String)`, `EcorePackage.getEClassifier_InstanceClassName()`

### setInstanceClassName

    void setInstanceClassName(java.lang.String value)

  Sets the value of the '`Instance Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Instance Class Name' attribute.
  See Also:
    `getInstanceClassName()`

### getInstanceClass

    java.lang.Class<?> getInstanceClass()

  Returns the value of the 'Instance Class' attribute.

  It represents the actual Java instance class that this meta object represents.

  Returns:
    the value of the 'Instance Class' attribute.
  See Also:
    `setInstanceClass(Class)`, `EcorePackage.getEClassifier_InstanceClass()`

### setInstanceClass

    void setInstanceClass(java.lang.Class<?> value)

  Sets the value of the '`Instance Class`' attribute.

  Parameters:
    `value` - the new value of the 'Instance Class' attribute.
  See Also:
    `getInstanceClass()`

### getDefaultValue

    java.lang.Object getDefaultValue()

  Returns the value of the 'Default Value' attribute.

  The default value for the type, in the Java sense. For primitive types, it will be the Java primitive default wrapped appropriately. For `enums`, it will be the first enumerator. And for all other types derived from `java.lang.Object`, it will be null.

  Returns:
    the value of the 'Default Value' attribute.
  See Also:
    `EcorePackage.getEClassifier_DefaultValue()`

### getInstanceTypeName

    java.lang.String getInstanceTypeName()

  Returns the value of the 'Instance Type Name' attribute.

  It represents the parameterized Java type that this meta object represents.

  Returns:
    the value of the 'Instance Type Name' attribute.
  Since:
    2.3
  See Also:
    `setInstanceTypeName(String)`, `EcorePackage.getEClassifier_InstanceTypeName()`

### setInstanceTypeName

    void setInstanceTypeName(java.lang.String value)

  Sets the value of the '`Instance Type Name`' attribute.

  Parameters:
    `value` - the new value of the 'Instance Type Name' attribute.
  See Also:
    `getInstanceTypeName()`

### getEPackage

    EPackage getEPackage()

  Returns the value of the 'EPackage' container reference. It is bidirectional and its opposite is '`EClassifiers`'.

  Returns:
    the value of the 'EPackage' container reference.
  See Also:
    `EcorePackage.getEClassifier_EPackage()`, `EPackage.getEClassifiers()`

### getETypeParameters

    EList<ETypeParameter> getETypeParameters()

  Returns the value of the 'EType Parameters' containment reference list. The list contents are of type `ETypeParameter`.

  A classifier can optionally introduce type parameters.

  Returns:
    the value of the 'EType Parameters' containment reference list.
  Since:
    2.3
  See Also:
    `EcorePackage.getEClassifier_ETypeParameters()`

### isInstance

    boolean isInstance(java.lang.Object object)

  Returns whether the object is an instance of this classifier.

  Parameters:
    `object` - the object in question.
  Returns:
    whether the object is an instance.
  See Also:
    `Class.isInstance(java.lang.Object)`

### getClassifierID

    int getClassifierID()

  Returns the ID relative to the `containing` package.

  Returns:
    the relative ID.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.